# Brand kit fonts

## List brand kit fonts

This endpoint makes an HTTP GET request to list the fonts of a brandkit.

### Request

* Method: GET
* Endpoint: `https://api.thebrief.ai/v1/brandkit/{brandkitId}/fonts`

```
curl -X 'GET' \
  'https://api.thebrief.ai/v1/brandkit/{brandkitId}/fonts \
  -H 'Authorization: Bearer eyJ...'
```

### Response

The response will be in JSON format with the following schema:

```json
{
    "response": {
        "fonts": [
            {
               "id": number,
                "name": string,
                "family": string,
                "subFamily": string,
                "weight": number,
                "version": string,
                "fontFamilyUrl": string,
                "fontFaceUrl": string
             }
         ]
    }
}
```

## Upload brand kit fonts

This endpoint allows you to upload a font in a brand kit.

### Request

* Method: POST
* Endpoint: `https://api.thebrief.ai/v1/brandkit/{brandkitId}/fonts`
* Body:
  * `file` (multipart/form data, required): The font file to upload (TTF, OTF and WOFF).

```
curl -X POST https://api.thebrief.ai/v1/brandkit/{brandkitId}/fonts \
  -H "Authorization: Bearer <your_token>" \
  -F "file=@/path/to/font.ttf" \
  -F "name=My Font Name"
```

### Response

The response will be in JSON format with the following schema:

```json
{
    "response": {
        "id": number,
         "name": string,
         "family": string,
         "subFamily": string,
         "weight": number,
         "version": string,
         "fontFamilyUrl": string,
         "fontFaceUrl": string
      }
}
```

## Delete brand kit fonts

This endpoint allows you to delete a font from a brandkit.

### Request

* Method: DELETE
* Endpoint: `https://api.thebrief.ai/v1/brandkit/{brandkitId}/fonts`
* Body:
  * `fontId` (number, required): The id of the font to delete.

```
curl -X DELETE https://api.thebrief.ai/v1/brandkit/{brandkitId}/fonts \
  -H "Authorization: Bearer <your_token>" \
  -H "Content-Type: application/json" \
  -d '{"fontId": <font_id>}'
```

### Response

```
{
    "response": 
    {
        "status": "success" 
    }
}    
```

###


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.thebrief.ai/public-api/rest-api/brand-kits/brand-kit-fonts.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
